<script setup lang="ts">
  import { TabGroup, TabList, Tab, TabPanels, TabPanel } from '@headlessui/vue';
  import { ref } from 'vue';
  const props = withDefaults(
    defineProps<{
      tabs: Array<string>;
      defaultTabIndex?: number;
      static?: boolean;
    }>(),
    {
      defaultTabIndex: 0,
      static: true,
    },
  );

  const selectedTab = ref(props?.defaultTabIndex);

  const changeTab = (index: number) => {
    selectedTab.value = index;
  };

  defineExpose({ changeTab });
</script>

<template>
  <TabGroup :default-index="defaultTabIndex" :selected-index="selectedTab" @change="changeTab">
    <TabList class="relative flex w-fit flex-row gap-4">
      <div class="border-(b border) absolute bottom-0 left-0 right-0" />
      <Tab
        v-for="(label, index) in props.tabs"
        :key="index"
        :class="selectedTab === index ? 'border-(b primary)' : 'border-(b transparent)'"
        class="z-1 text-(sm/6 information) pb-1.5 pt-2 font-medium capitalize focus:outline-none"
      >
        {{ $t(label) }}
      </Tab>
    </TabList>
    <TabPanels class="pt-[1.875rem]">
      <TabPanel
        v-for="(label, index) in props.tabs"
        v-show="!static || (static && selectedTab === index)"
        :key="label"
        :static="static"
      >
        <slot :name="`tab-${index}`" />
      </TabPanel>
    </TabPanels>
  </TabGroup>
</template>
